ConnectCloud Developers

Turn a feature (or * for all) on or off for a customer; enabled null removes the switch (desk:admin)

PUT /api/desk/v1/ai/customers/{customerId}

Module: Desk · operationId: updateAiCustomer · Tag: AI · Auth: access token (Authorization: Bearer <accessToken>)

Parameters

Name In Type Required Description
customerId path string yes

Request body

application/json (required)

  • feature (string, required)
  • customerName (string): Name shown in the list (kept when empty)
  • enabled (boolean, nullable)

Example:

{
  "customerName": "Kanzlei Hofmann \u0026 Partner Rechtsanwälte mbB",
  "enabled": false,
  "feature": "draftReply"
}

Responses

  • 204 Saved

Example request

curl -X PUT 'https://api.mbcom.cloud/api/desk/v1/ai/customers/string' \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H 'Content-Type: application/json' \
  --data '{"customerName":"Kanzlei Hofmann \u0026 Partner Rechtsanwälte mbB","enabled":false,"feature":"draftReply"}'

View as Markdown · Interactive reference · OpenAPI